<?php
/**
 * @package Sj Virtue Mart
 * @version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined( '_JEXEC' ) or die;?>
 <div class="yt-vm-content">
		<div  class="vm-content-inner">
		<?php
		$item_class = '';
		$i = 0;
		foreach( $list as $key => $item ) :
		$i++;
		if ($key == 0) {
			$item_class = 'yt-first';
		} else if ($key == sizeof($list) - 1) {
			$item_class = 'yt-last';
		}
		if((int)$params->get('nb_cols', 3) <= 0){
			$params->set('nb_cols', 1);
		}
		if((int)$params->get('nb_rows', 3) <= 0){
			$params->set('nb_rows' ,1);
		}
		if($i%$options->nb_cols  == 1 || ($options->nb_cols == 1)) {
		?>
		 <div class="vm-row">	
		<?php }?> 
        	<div class="yt-item <?php echo $item_class?> vm-item">
				<div class="yt-main-content">
					<?php if( $options->item_title_display == 1 ) : ?>
					<div class="yt-item-title">
						<?php if ($options->item_title_linkable==1){?>
								<a href="<?php echo $item->link; ?>" <?php echo YTools::parseTarget($options->item_link_target); ?> title="<?php echo $item->product_name; ?>">
									<?php 	echo Ytools::truncate($item->product_name,$options->item_title_max_characters);?>
								</a>
						<?php } else {  ?>
								<a>
									<?php 	echo Ytools::truncate($item->product_name,$options->item_title_max_characters);?>
								</a>
							<?php } ?>
					</div>
					<?php endif; ?>
					<!-- For Item Image-->
					<?php if($options->item_image_display == 1):?>
					<div class="yt-item-image" style="width:<?php echo $options->item_image_width ?>px; height:<?php echo $options->item_image_height ?>px; overflow:hidden;">
						<?php
							if ( (int)$params->get('item_image_linkable', 0) ){?>
								<a href="<?php echo $item->link;?>" <?php echo YTools::parseTarget($options->item_link_target); ?> title="<?php echo $item->product_name; ?>" >
									<img src="<?php echo YTools::resize($item->images,$image_config); ?>" alt="<?php echo $item->product_name?>" title="<?php echo $item->product_name?>" />
								</a>
							<?php  } else { ?>
								<img src="<?php echo YTools::resize($item->images,$image_config); ?>" alt="<?php echo $item->product_name?>" title="<?php echo $item->product_name?>" />
							<?php }
						?>
					</div>
					<?php endif; ?>
					<!-- For Item Price-->
					<?php if( (int)$params->get('item_price_display', 1) ): ?>
						<div class="sj_item_prices" >
						<?php
							$currency = &CurrencyDisplay::getInstance();
							if ( !empty($item->prices['salesPrice']) ){
								echo $currency->createPriceDiv('salesPrice', '', $item->prices, true);
							}
							if ( !empty($item->prices['salesPriceWithDiscount']) ){
								echo $currency->createPriceDiv('salesPriceWithDiscount', '', $item->prices, true);
							}
						?>
						</div>
					<?php endif;  ?>
					<!-- For Item Description-->
					<?php if($options->item_description_display):?>
					<div class="yt-item-desc">
					  <?php
						 	$desc = "";
							if(!empty($item->product_s_desc)){
								YTools::extractImages($item->product_s_desc);
								$desc = $item->product_s_desc;	
							}else{
								YTools::extractImages($item->product_desc);
								$desc = $item->product_desc;	
							}
							if ( (int)$params->get('item_description_striptags', 1) ){
								$keep_tags = $params->get('item_description_keeptags', '');
								$keep_tags = str_replace(array(' '), array(''), $keep_tags);
								$tmp_desc = strip_tags($desc ,$keep_tags );
								echo YTools::truncate($tmp_desc, (int)$params->get('item_description_max_characters'));
							} else {
								echo YTools::truncate($desc, (int)$params->get('item_description_max_characters'));
							}
						?>
					</div>
					<?php endif; ?>
					<!-- For Item Readmore-->
					<?php if($options->item_readmore_display == 1):?>
					<div class="yt-item-readmore">
						<a href="<?php echo $item->link;?>" <?php echo YTools::parseTarget($options->item_link_target); ?> title="<?php echo $item->product_name; ?>" >
							<?php echo $options->item_readmore_text;?>
						</a>	
					</div>
					<?php endif; ?>
				</div>
               </div>
               <?php if($i%$options->nb_cols == 0 || $i == count($list)){?>
				<div class="clear"></div>
				</div>
			  <?php } ?>
        <?php endforeach; ?>
        <div class="clear"></div>
	  </div>
	    <div class="clear"></div>
   </div>