<?php
/**
 * @package Sj Content Slick Slider Responsive
 * @version 2.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2013 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;

$image_config = array(
		'output_width'  => $params->get('big_item_image_width',  360),
		'output_height' => $params->get('big_item_image_height', 300),
		'function'		=> $params->get('big_item_image_function', 'resize_none'),
		'background'	=> $params->get('big_item_image_background', '#FFFFFF')
);
$vm_currency_display = &CurrencyDisplay::getInstance();

$start = (int)$params->get('start','');
if ($start < 1 || $start > count($list)){
	$start = 1;
}

$pause_hover = $params->get('pause_hover','1');
if ($pause_hover !='1'){
	$pause_hover = " ";
} else { $pause_hover = "hover"; }

//var_dump($pause_hover);die('abc');
$interval = (int)$params->get('interval','4000');
$effect = $params->get('effect','1');
if ($effect == '1') { $effect='slide';}
else $effect='';
$pag_position = $params->get('button_position' , 'conner-bl');
$pag_type = in_array($params->get('button_theme', 'num'), array('num', 'number')) ? 'type-num' : 'type-dot';
$slick_slider_background = $params->get('theme','theme1')=='theme1' ? 'bg-style1' : 'bg-style2';
?>

<?php if ($params->get('pretext') != ''){ ?>
<div class="text-block">
	<?php echo $params->get('pretext'); ?>
</div>
<?php }?>
<div id="sj-content-slickslider-res<?php echo $module->id?>" class="sj-content-slickslider-res <?php echo $effect ?>" data-pause="<?php echo $pause_hover;?>" data-start-jcarousel="1" data-interval="<?php echo $interval?>">
	<!-- Carousel items -->
    <div class="sj-slickslider-res-inner <?php echo $slick_slider_background?>">
    	<?php $i=1;
    	foreach ($list as $item){
			if ($i==$start){$active = 'active';}
    		else $active = '';
    		$i++;
    	?>
    	<div class="item clearfix <?php echo $active; ?> ">
    		<?php if($item->images){?>
    		<div class="item-image">
    			<div class="item-image-inner">
					<a href="<?php echo $item->link; ?>" <?php echo sj_vm_slicksliderres_helper::parseTarget($params->get('item_link_target'))?>>
    					<img src="<?php echo Ytools::resize($item->images, $image_config);?>" alt="<?php echo $item->product_name; ?>" title="<?php echo $item->product_name; ?>" />	    				
					</a>
				</div>
			</div>
			<?php }?>
			<div class="sj-slickslider-res-caption <?php if(empty($item->images)){ echo 'no-images'; } ?>">
				<div class="sj-slickslider-res-caption-inner">
					<?php if( (int)$params->get('show_title', 1) && $params->get('limit_title') !=0){ ?>
					<div class="item-title">
						<a href="<?php echo $item->link; ?>" <?php echo sj_vm_slicksliderres_helper::parseTarget($params->get('item_link_target'))?> >
							<?php echo YTools::truncate($item->product_name, $params->get('limit_title',25));?>
						</a>
					</div>
					<?php } 
					if( (int)$params->get('show_desc', 1) && $params->get('limit_desc') !=0 ){ ?>
					<div class="item-description">
						<?php $desc = "";
							if(!empty($item->product_s_desc)){
								YTools::extractImages($item->product_s_desc);
								$desc = $item->product_s_desc;	
							}else{
								YTools::extractImages($item->product_desc);
								$desc = $item->product_desc;	
							}
							if ( (int)$params->get('item_description_striptags', 1) ){
								$keep_tags = $params->get('item_description_keeptags', '');
								$keep_tags = str_replace(array(' '), array(''), $keep_tags);
								$tmp_desc = strip_tags($desc ,$keep_tags );
								echo YTools::truncate($tmp_desc, (int)$params->get('limit_desc'));
							} else {
								echo YTools::truncate($desc, (int)$params->get('limit_desc'));
							}?>
					</div>
					<?php } 
					if( (int)$params->get('show_price', 1) ): ?>
						<div class="item-price">
							<div class="sale-price">
							<?php $currency = &CurrencyDisplay::getInstance();
									if ( !empty($item->prices['salesPrice']) ){
										echo $currency->createPriceDiv('salesPrice', '', $item->prices, true);
									}
									if ( !empty($item->prices['salesPriceWithDiscount']) ){
										echo $currency->createPriceDiv('salesPriceWithDiscount', '', $item->prices, true);
									}?>
							</div>
						</div>
					<?php endif;
					if( (int)$params->get('show_read_more', 1) ){ ?>
					<div class="item-readmore">
						<a href="<?php echo $item->link;?>"  <?php echo sj_vm_slicksliderres_helper::parseTarget($params->get('item_link_target'))?> >
							<?php echo $params->get('read_more_text', 'Read more'); ?>
						</a>
					</div>
					<?php } ?>
				</div>
			</div>
			
    	</div>
    	<?php } ?>
    </div>
    <!-- Carousel nav -->
	<div class="nav <?php echo $pag_position?>" >
		<ul class="<?php echo $pag_type;?>">
			<li class="left" href="#sj-content-slickslider-res<?php echo $module->id?>" data-jslide="prev"></li>
			<?php for($i=0; $i<count($list); $i++){
				if ($i+1==$start){$sel = 'sel';}
	    		else $sel = '';
			?>
			<li class="pag-item <?php echo $sel; ?>" href="#sj-content-slickslider-res<?php echo $module->id?>" data-jslide="<?php echo $i?>"><?php echo $i+1;?></li>
			<?php } ?>
			<li class="right" href="#sj-content-slickslider-res<?php echo $module->id?>" data-jslide="next"></li>
		</ul>
	</div>
</div>
<?php if ($params->get('posttext') != ''){ ?>
<div class="text-block">
	<?php echo $params->get('posttext'); ?>
</div>
<?php } ?>


